"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isValidBoolean = exports.isValidObject = exports.isValidArray = exports.isValidString = void 0;
/**
 * Returns if variable is a non-empty string
 * @param variable the to be tested variable
 */
function isValidString(variable) {
    return !!variable && typeof variable === "string";
}
exports.isValidString = isValidString;
/**
 * Returns if variable is an array with contents
 * @param variable the to be tested variable
 */
function isValidArray(variable) {
    return !!variable && Array.isArray(variable) && variable.length > 0;
}
exports.isValidArray = isValidArray;
/**
 * Returns if variable is an object with properties
 * @param variable the to be tested variable
 */
function isValidObject(variable) {
    return !!variable && typeof variable === "object" && Object.getOwnPropertyNames(variable).length > 0 && !isValidArray(variable);
}
exports.isValidObject = isValidObject;
/**
 * Returns if variable is a boolean
 * @param variable the to be tested variable
 */
function isValidBoolean(variable) {
    return typeof variable === "boolean";
}
exports.isValidBoolean = isValidBoolean;
